> ## Documentation Index
> Fetch the complete documentation index at: https://developers.closebot.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get steps for a version



## OpenAPI

````yaml https://megastream25-api.closebot.com/swagger/v1/swagger.json get /bot/{id}/steps
openapi: 3.0.1
info:
  title: CloseBot API
  version: v1
servers:
  - url: https://api.closebot.com
    description: CloseBot API Endpoint
security:
  - Key: []
paths:
  /bot/{id}/steps:
    get:
      tags:
        - Bot
      summary: Get steps for a version
      parameters:
        - name: id
          in: path
          description: The bot ID.
          required: true
          style: simple
          schema:
            type: string
        - name: botVersion
          in: query
          description: The bot version (x.y.z).
          style: form
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            text/plain:
              schema: {}
            application/json:
              schema: {}
            text/json:
              schema: {}
components:
  securitySchemes:
    Key:
      type: apiKey
      description: CloseBot API Key Authorization
      name: X-CB-KEY
      in: header

````